# File Specification: https://gist.github.com/Shadows-of-Fire/88ac714a758636c57a52e32ace5474c1

# Apotheosis Spawner Module Configuration

general {
    # The level of silk touch needed to harvest a spawner.  Set to -1 to disable, 0 to always drop.  The enchantment module can increase the max level of silk touch.
    # Synced.
    # Default: 1; Range: [-1 ~ 127]
    I:"Spawner Silk Level"=1

    # The durability damage dealt to an item that silk touches a spawner.
    # Server-authoritative.
    # Default: 100; Range: [0 ~ 100000]
    I:"Spawner Silk Damage"=100

    # The per-level drop chance (1 = 100%) of Spawn Eggs when using Capturing.
    # Synced.
    # Default: 0.005; Range: [0.001 ~ 1.0]
    S:"Capturing Drop Chance"=0.005

    # If spawners should clear their contained entity when broken.
    # Server-authoritative.
    # Default: false
    B:"Spawners Drop Empty"=false

    # The time, in ticks, that mobs will be prevented from despawning for after they have spawned.
    # Server-authoritative.
    # Default: 600; Range: [0 ~ 24000]
    I:"Entity Despawn Delay"=600
}


spawn_eggs {
    # A list of entity registry names that cannot be applied to spawners via egg. Supports regex.
    # Synced.
    # Default: [minecraft:warden], [minecraft:elder_guardian]
    S:"Banned Mobs" <
        minecraft:wither
        minecraft:warden
        minecraft:elder_guardian
        artifacts:mimic
     >
}


